import QtQuick 1.0

Item {
    id: imageButton

    property url source
    property url pressedSource
    property alias smooth: image.smooth
    property alias imageWidth: image.width
    property alias imageHeight: image.height

    signal clicked;

    height: image.height
    width: (opacity === 0)? 0 : image.width

    BorderImage {
        id: image
        source: (internal.state === "Pressed")? imageButton.pressedSource : imageButton.source
    }

    StateGroup {
        id: internal
        states: [
            State { name: "Pressed" },
            State { name: "" }
        ]
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            internal.state = "Pressed"
        }
        onReleased: {
            internal.state = ""
        }

        onCanceled: {
            internal.state = ""
        }

        onClicked: {
            parent.clicked()
        }
    }
}
