import QtQuick 1.0
import Qt.labs.components.native 1.0

SelectionListItem {
    property ListModel model
    property int selectedIndex: 0
    property variant item: model.get(selectedIndex)
    property ListModel names: ListModel{}

    id: comboBox

    onModelChanged: {
        for (var i = 0; i < model.count; i++) {
            names.append({"name": model.get(i).name});
        }
    }

    property SelectionDialog selectionDialog
    title: {
        return model.get(selectedIndex).name;
    }

    onClicked: {
        if (!selectionDialog)
            selectionDialog = selectionDialogComponent.createObject(comboBox)
        selectionDialog.open()
    }

    Component {
        id: selectionDialogComponent
        SelectionDialog {
            titleText: qsTr("Select")
            selectedIndex: comboBox.selectedIndex
            model: comboBox.names

            onSelectedIndexChanged: {
                comboBox.selectedIndex = selectedIndex
            }
        }
    }
}
