import QtQuick 1.0

Item {
    id: imageButton

    property url source
    property url pressedSource
    property alias fillMode: image.fillMode
    property alias smooth: image.smooth
    property alias imageWidth: image.width
    property alias imageHeight: image.height

    property real scale: rootWindow.style.scale

    signal clicked;

    height: image.height
    width: (opacity === 0)? 0 : image.width

    Image {
        smooth: true
        id: image
        source: (internal.state === "Pressed")? imageButton.pressedSource : imageButton.source
        width: sourceSize.width * imageButton.scale
        height: sourceSize.height * imageButton.scale
    }

    StateGroup {
        id: internal
        states: [
            State { name: "Pressed" },
            State { name: "" }
        ]
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            internal.state = "Pressed"
        }
        onReleased: {
            internal.state = ""
        }

        onCanceled: {
            internal.state = ""
        }

        onClicked: {
            parent.clicked()
        }
    }
}
