import QtQuick 1.0
import Qt.labs.components.native 1.0


TextArea {
    property string imageSource

    id: root
    placeholderText: qsTr("How do you feel now?")
    platformStyle: TextAreaStyle { paddingRight: picButton.width }
    height: Math.max(picButton.height + 20, implicitHeight)

    signal imageClicked;

    Image {
        id: picButton
        width: 100
        height: 100
        z: Number.MAX_VALUE
        anchors {
            top: parent.top
            right: parent.right
            margins: 10
        }
        source : imageSource ? imageSource : "qrc:///images/bg_add_photo.png"
        fillMode : Image.Stretch

        MouseArea {
            anchors.fill: parent
            onClicked: root.imageClicked()
        }
    }
}

