import QtQuick 1.0

import "." as Common
import "./Utils.js" as Utils

// Specialized list item used to show a location.
Common.ListItem {

    property string name
    property string addr
    property bool isSpecial
    property variant icon

    id: listItem

    content: Item {
        height: childrenRect.height
        width: parent.width
        Common.Image {
            id: image
            anchors {
                left: parent.left
                top: parent.top
            }
            source: Utils.getVenueIcon(icon)
            defaultSource: "qrc:///images/Venues/default.png"
        }

        Image {
            id: specialImage
            anchors {
                left: image.right
                leftMargin: 10
                top: parent.top
                topMargin: 3
            }
            source: "qrc:///images/img_specialvenue.png"
            opacity: isSpecial? 1 : 0
        }

        Text {
            id: nameLabel
            anchors {
                left: isSpecial? specialImage.right : image.right
                leftMargin: 10
                right: parent.right
                top: parent.top
            }
            color: "#3b3b3b"
            text: name
            font.pixelSize: rootWindow.style.fontSmallSize
            elide: Text.ElideRight
        }

        Text {
            id: addrLabel
            anchors {
                left: image.right
                leftMargin: 10
                right: parent.right
                top: nameLabel.bottom
            }
            color: "#898989"
            text: addr
            font.pixelSize: rootWindow.style.fontSmallSize
            elide: Text.ElideRight
        }
    }
}
