import QtQuick 1.0
import "../Common/Network.js" as Network
import Qt.labs.components.native 1.0

Rectangle {
    id: rootItem
    property string url;
    property string barText: qsTr("new notification");
    property variant params: {types: "user,location", count: "0", apiver: "2"}

    signal finished(int stats, variant obj);
    signal clicked

    function refresh() {
        Network.doPost(url, params, handleResult)
    }
    function handleResult(stats, obj)
    {
        if(stats !== 200) {

        } else {
            countText.text = "" + obj.num_items + " " + barText;
            if(obj.num_items > 1) countText.text +="s"
            finished(stats, obj)
        }
        finished(stats, obj);
    }
    height: 34 * rootWindow.style.scale
    BorderImage {
        id: image
        source: "qrc:///images/bg_notif_orange.sci"
        anchors.fill: parent
        Text {
            id: countText
            anchors {
                verticalCenter: parent.verticalCenter
                left: parent.left
                leftMargin: 10;
            }
            font.pixelSize: rootWindow.style.fontNormalSize
            color: "#ffffff"
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
            console.debug("NotificationBar clicked!");
            rootItem.clicked();
        }
    }
}
