import QtQuick 1.0
import "../Common" as Common

Item {
    id: item
    height: childrenRect.height
    property variant itemData;
    property date createdOn
    property variant link
    function getBody() {
        if (itemData === undefined || itemData === null) {
            return;
        }
        var bodyStr="";
        for(var i=0; i < itemData.count; i++) {
            var link = itemData.get(i).link;
            if(link !== null && link !== undefined) {
                bodyStr += "<font color='#0591d3'>"
                bodyStr += itemData.get(i).text
                bodyStr += "</font>"
            } else bodyStr += itemData.get(i).text
        }
        return bodyStr;
    }

    function show() {
        console.debug("[NotificationItem.qml]: developing...")
    }

    Column {
        spacing: 5
        anchors {
            left: parent.left
            right: parent.right
        }

        Text {
            id: bodyText
            font.pixelSize: rootWindow.style.fontNormalSize
            color: "black"
            text: getBody()
        }
        Common.Date {
            id:dateStr
            anchors.right: parent.right
            anchors.rightMargin: 10
            color: "grey"
            font.pixelSize: rootWindow.style.fontSmallSize
            date: createdOn
        }
    }
}
