import QtQuick 1.0
import "." as Common

Rectangle {
    property string title

    id: header
    height: 50 * rootWindow.style.scale

    BorderImage {
        id: image
        source: "qrc:///images/img_head2.9.sci"
        anchors.fill: parent
        smooth: true
        Text {
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            text: title
            color: "white"
            font.bold: true
            font.pixelSize: rootWindow.style.fontLargeSize
        }
        // If there is no title we show Jiepang logo
        Common.Image {
            opacity: title ? 0 : 1
            id: logo_title
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            source: "qrc:///images/logo.png"
            smooth: true
        }
    }
}
