import QtQuick 1.0
import Qt.labs.components.native 1.0

Rectangle {

    property bool allUnchecked: false
    property variant model

    id: syncsCheckBoxes
    height: childrenRect.height

    Rectangle {
        id: headerItem
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
        }

        width: parent.width
        height: childrenRect.height + 10
        color: "#dbdbdb"
        Text {
            y: 5
            anchors {
                left: parent.left
                leftMargin: 10;
            }
            text: qsTr("Sync")
            font.pixelSize: rootWindow.style.fontNormalSize
        }
    }

    Grid {
        id: grid
        width: parent.width
        anchors {
            left: parent.left
            right: parent.right
            top: headerItem.bottom
            margins: 10
        }
        columns: 2
        spacing: 10

        Repeater {
            model: syncsCheckBoxes.model
            delegate: CheckBox {
                width: (parent.width - parent.spacing) / 2
                text: modelData.name
                opacity: (modelData.is_set)? 1 : 0
                checked: !allUnchecked && ((modelData.is_set)? true : false)
            }
        }
    }

    // Return all the checked social network targets as a string.
    function getString() {
        // We will assume that the checkbox are stored as children of
        // the grid in order and starting at 0. I am not sure this is
        // specified so we might have to look at that.
        if (!enabled)
            return "";
        var list = []
        for (var i = 0; i < syncsCheckBoxes.model.length; i++) {
            var setting = syncsCheckBoxes.model[i];
            var checkbox = grid.children[i];
            if (setting.is_set && checkbox.checked)
                list.push(setting.target);
        }
        return list.join(",");
    }
}
