import QtQuick 1.0
import Qt.labs.components.native 1.0
import QtMultimediaKit 1.1
import "../Camera"

Page {
    property string imagePath;
    id: page
    signal cutted(int offsetX, int offsetY, int cutWidth
                  , int previewWidth, double rota, string path);

    // XXX: only camera in landscape mode works on Meego!!!
    orientationLock: PageOrientation.LockLandscape

    function handleAccepted(offsetX, offsetY, cutWidth, previewWidth, rota) {
        console.debug(("HandleAccept: imagePath=%1").arg(imagePath))
        cutted(offsetX, offsetY, cutWidth, previewWidth, rota, imagePath)
    }

    Rectangle {
        id : cameraUI
        color: "black"
        state: "PhotoCapture"
        anchors.fill: parent

        Camera {
            id: camera
            x: 0
            y: 0
            width: parent.width/* - stillControls.buttonsPanelWidth*/
            height: parent.height
            focus: visible //to receive focus and capture key events

            onImageCaptured : {
                console.debug("Captured!")
                var previewPage = pageStack.push(Qt.resolvedUrl("../Camera/PhotoPreview.qml"));
                previewPage.source = preview
                console.debug("camerapage.qml: preview=" + preview)
                previewPage.accepted.connect(page.handleAccepted);
            }
            onImageSaved: {
                console.debug("Saved! " + path)
                imagePath = path;
            }
        }
    }
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: pageStack.pop();
        }
        ToolButton {
            text: qsTr("Take Picture")
            onClicked: camera.captureImage();
        }
    }
}
