import QtQuick 1.0
import "../Common" as Common

Common.Page {
    property variant longitude
    property variant latitude
    property variant distance

    id: page
    Common.List {
        anchors.fill: parent

        requestUrl: "/discover/coupon_venues.json"
        requestParams: {"lon": longitude, "lat": latitude, "dist": distance}
        canGetMore: false // TODO: Is that true?

        delegate: Common.LocationListItem {
            name: model.name
            addr: model.addr
            isSpecial: model.hascoupon

            // Note: This could be directly moved into LocationListItem
            onClicked: {
                rootWindow.pushPage(Qt.resolvedUrl("LocationPage.qml"),
                                    {"name": model.name,
                                     "addr": model.addr,
                                     "guid": model.guid,
                                     "longitude": model.long,
                                     "latitude": model.lat })
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                model.append(result[i]);
            }
        }
    }
}
