import QtQuick 1.0
import "../Common" as Common

Common.Page {
    property variant longitude
    property variant latitude
    property variant distance

    id: page
    Common.List {
        anchors.fill: parent
        requestUrl: "/discover/friends_checkins.json"
        requestParams: {"lon": longitude, "lat": latitude, "dist": distance}
        canGetMore: false // TODO: Is that true?

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                type: "checkin"
                user: model.user.nick
                location: model.location.name
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                avatar: model.user.avatar_thumb
                numLikes: model.num_likes
                isLike:  model.is_like
                commentCount: model.comment_count
                date: model.created_on
            }

            // TODO: we could create a generic component for the event list items
            //      with the onClicked already set. Because otherwise this
            //      will be duplicated in the history pages.
            onClicked: {
                var page = rootWindow.pushPage(Qt.resolvedUrl("FeedDetailPage.qml"),
                          {"p_id": model.id,
                           "u_id": model.user.id,
                           "type": "checkin",
                           "user": model.user.nick,
                           "body": model.body,
                           "location": model.location.name,
                           "numLikes": model.num_likes,
                           "isLike": model.is_like,
                           "commentCount": model.comment_count,
                           "date": model.created_on,
                           "photo": (model.photo)? model.photo.url : undefined,
                           "avatar": model.user.avatar_small,
                           "source": (model.source)? model.source.name: undefined});
                page.updated.connect(item.update);
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                model.append(result[i]);
            }
        }
    }
}
