import QtQuick 1.0
import "../Common" as Common

Common.Page {
    property variant longitude
    property variant latitude
    property variant distance
    property variant maxCount

    id: page
    Common.List {
        anchors.fill: parent

        requestUrl: "/discover/great_tips.json"
        requestParams: {"lon": longitude, "lat": latitude, "dist": distance}
        initialCount: 20
        moreCount: 10
        maxCount: page.maxCount

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                postId: model.id
                user: model.user.nick
                userId: model.user.id
                type: model.type
                location: model.location.name
                locationId: model.location.guid
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.comment_count
                date: model.created_on
                // source: model.source.name
                showUser: false
            }

            onClicked: {
                item.show();
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                model.append(result[i]);
            }
        }
    }
}
