import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {

    property variant userId
    property string userNick
    property variant maxCount

    id: page
    width: parent.width

    Common.List {
        anchors.fill: parent
        requestUrl: "/friends/list.json"
        requestParams: {"id": userId}
        maxCount: page.maxCount
        usePages: true

        headerText: qsTr("%1 Friends").arg(userNick)

        // Simple friend item...
        delegate: Common.ListItem {
            id: listItem
            content: Row {
                spacing: 10
                Common.Image {
                    source: model.avatar_thumb
                    defaultSource: "qrc:///images/img_nopic_thumb.png"
                    background: "qrc:///images/bg_avatar.png"
                    imageHeight: 45
                    imageWidth: 45
                }
                Text {
                    anchors.verticalCenter: parent.verticalCenter
                    color: "black"
                    text: model.nick
                    font.pixelSize: rootWindow.style.fontNormalSize
                }
            }

            onClicked: {
                rootWindow.pushPage(Qt.resolvedUrl("UserProfilePage.qml"),
                                    {"userId": model.id,
                                     "avatar": model.avatar,
                                     "userNick": model.nick})
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                var obj = result[i];
                model.append(obj)
            }
        }
    }
}
