import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {

    property variant userId
    property variant userNick
    property variant maxCount

    id: page

    Common.List {
        anchors.fill: parent
        width: parent.width
        height: page.height

        maxCount: page.maxCount
        usePages: true

        headerText: qsTr("%1 History").arg(userNick)

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                user: userNick
                userId: model.user_id
                postId: model.id
                type: model.type
                location: model.location.name
                locationId:  model.location.guid
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.num_comments
                date: model.created_on
                showUser: false
            }

            onClicked: {
                item.show();
            }
        }

        requestUrl: "/statuses/list.json"
        requestParams: {"type": "checkin", "id": userId, "count":10}

        // Function that is used to fill the model from the server result.
        function parseResult(result, model) {
            for (var i = 0; i < result.items.length; i++) {
                model.append(result.items[i])
            }
        }
    }
}
