import QtQuick 1.0
import "../Common" as Common

Common.Page {
    id: page

    property string locationName
    property variant guid
    property variant additionalCoupons

    Common.List {
        id: list
        anchors {
            fill: parent
            margins: 10
        }
        spacing: 20

        requestUrl: "/badges/list.json"
        requestParams: {"guid": page.guid, "user_id": rootWindow.user.userId}
        usePages: false
        countParam: ""
        canGetMore: false

        delegate: Common.Coupon {
            couponId: model.id
            name: model.name
            image: model.img
            locationName: ListView.view.parent.locationName
            description: model.description
            usable: (model.coupon_type === 1) || (model.coupon_type === 3)
            used: model.coupon_num === 0
            locked: model.is_got === false
            isBadge: model.id !== undefined && model.id.indexOf('_') !== -1
            type: model.type

            onRedeemed: {
                ListView.view.parent.refresh();
            }
        }


        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                model.append(result[i]);
            }
            for (i = 0; i < additionalCoupons.length; i++) {
                var value = additionalCoupons[i];
                model.append(value);
            }
        }
    }
}
