import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {
    id: page
    property variant guid
    property string name
    property int maxCount

    Common.List {
        anchors.fill: parent
        // XXX: we should use the 'has_more' attribute instead!
        maxCount: page.maxCount

        requestUrl: "/locations/photos.json"
        requestParams: {"guid": guid}
        initialCount: 5
        moreCount: 5
        usePages: true

        headerText: qsTr("%1 photos (%2)").arg(page.name).arg(page.maxCount)

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                postId: model.id
                type: model.type
                user: model.user.nick
                userId: model.user.id
                avatar: model.user.avatar_thumb
                location: model.location.name
                locationId: model.location.guid
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                largePhoto: true
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.num_comments
                date: model.created_on
                showLocation: false
            }

            onClicked: {
                item.show();
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.items.length; i++) {
                var item = result.items[i];
                // item.user_nick = page.userNick;
                item.location = {name: page.name, guid: page.guid};
                model.append(item);
            }
        }
    }
}
