import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {

    property variant name
    property variant guid
    property variant maxCount

    id: page

    Common.List {
        anchors.fill: parent
        maxCount: page.maxCount
        usePages: true

        headerText: qsTr("%1 Tips").arg(page.name)

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                postId: model.id
                user: model.user.nick
                userId: model.user.id
                location: page.name
                locationId: page.guid
                type: model.type
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.num_comments
                date: model.created_on
            }

            onClicked: {
                item.show();
            }
        }

        requestUrl: "/statuses/list.json"
        requestParams: {"type": "tip", "sort": "score", "guid": guid, "count":10}

        // Function that is used to fill the model from the server result.
        function parseResult(result, model) {
            for (var i = 0; i < result.items.length; i++) {
                model.append(result.items[i])
            }
        }
    }
}
