import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {

    property variant name
    property variant guid
    property variant mayor
    property variant maxCount

    id: page
    width: parent.width

    Common.List {
        anchors.fill: parent
        maxCount: page.maxCount
        usePages: true

        section.property: "category"
        delegate: Common.ListItem {
            content: Common.Item {
                user: model.user.nick
                userId: model.user.id
                type: "checkin"
                body: model.body
                avatar: model.user.avatar_thumb
                date: model.created_on
                showLocation: false
            }

            onClicked: {
                rootWindow.pushPage(Qt.resolvedUrl("UserProfilePage.qml"),
                                    {"userId": model.user.id,
                                     "avatar": model.user.avatar,
                                     "userNick": model.user.nick});
            }
        }

        requestUrl: "/checkins/newest_timeline.json"
        requestParams: {"guid": guid, "count":10}

        // Function that is used to fill the model from the server result.
        function parseResult(result, model) {
            if (model.count === 0 && page.mayor) { // Add the mayor on top
                model.append({
                     "category": qsTr("%1 Mayor").arg(page.name),
                     "user": page.mayor,
                     "body": "",
                     "created_on": undefined
                });
            }

            for (var i = 0; i < result.length; i++) {
                var item = result[i];
                item.category = qsTr("%1 Visitors").arg(page.name);
                model.append(result[i]);
            }
        }
    }
}
