import QtQuick 1.0
import Qt.labs.components.native 1.0
import "../Common" as Common

CommonDialog {
    id: dialog
    property string username: undefined
    property bool saveAccount: true
    function verifyInput() {
        if (loginText.text === "" || passwordText.text === "") {
            return false;
        }
        return true
    }
    titleText: qsTr("Please Login")
    content: Column {
        spacing: 10
        TextField {
            id: loginText
            anchors {
                left: parent.left
                right: parent.right
            }
            placeholderText: qsTr("Login")
            Component.onCompleted: {
                if (username !== undefined) {
                    text = username
                }
            }
        }
        TextField {
            id: passwordText
            anchors {
                left: parent.left
                right: parent.right
            }
            placeholderText: qsTr("Password")
            echoMode: TextInput.Password
        }
        CheckBox {
            id: saveAccountCheckBox
            anchors {
                left: parent.left
                right: parent.right
            }
            text: qsTr("Save Account")
            checked: saveAccount
        }
        Common.Button {
            anchors {
                left: parent.left
                right: parent.right
            }
            text: qsTr("Sign In")

            onClicked: {
                if (!verifyInput()) {
                    rootWindow.showDialog("Cannot sign-in", "Username or Password can't be empty.")
                    return
                }
                var login = loginText.text
                var password = passwordText.text
                var saveAccount = saveAccountCheckBox.checked
                rootWindow.signIn(login, password, saveAccount, function(success) {
                    if (success === true) {
                        close();
                    }
                })
            }
        }
    }
}
