import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {
    property variant userId
    property string userNick
    property int maxCount

    id: page
    width: parent.width

    Common.List {
        anchors.fill: parent
        requestUrl: "/users/mayors.json"
        requestParams: {"id": userId}
        maxCount: page.maxCount

        headerText: qsTr("%1 is the mayor of %2").arg(page.userNick).arg(page.maxCount)

        delegate: Common.LocationListItem {
            name: model.name
            addr: model.addr
            icon: model.icon

            // Note: This could be directly moved into LocationListItem
            onClicked: {
                rootWindow.pushPage(Qt.resolvedUrl("LocationPage.qml"),
                                    {"name": model.name,
                                     "addr": model.addr,
                                     "guid": model.guid})
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.length; i++) {
                var item = result[i];
                // Small hack because qml doesn't support list in ListModel.
                if (item.categories && item.categories.length > 0) {
                    item.icon = item.categories[0].icon;
                }
                model.append(item);
            }
        }
    }
}
