import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common
import "../Common/Network.js" as Network

Common.Page {
    id: page

    ListView {
        anchors.fill: parent
        clip: true

        delegate: Common.MenuItem {
            text: modelData.text
            icon: modelData.icon

            onClicked: {
                switch (modelData.name) {
                case "addfriends":
                    rootWindow.pushPage(Qt.resolvedUrl("AddFriendPage.qml"));
                    break;
                case "request":
                    rootWindow.pushPage(Qt.resolvedUrl("FriendRequestsPage.qml"),
                                        {"userId": rootWindow.user.userId});
                    break;
                case "syncsetting":
                    rootWindow.pushPage(Qt.resolvedUrl("SyncSettingsPage.qml"));
                    break;
                case "changecity":
                    {
                        var dialogComponent = Qt.createComponent("ChangeCityPage.qml");
                        var dialog = dialogComponent.createObject(page);
                        dialog.city = rootWindow.user.city;
                        dialog.open();
                        dialog.accepted.connect(function() {
                            rootWindow.user.city = dialog.city;
                        })
                    }
                    break;
//                case "checkupdate":
//                    rootWindow.checkNewVersion(true);
//                    break;
                case "about":
                    {
                        var dialogComponent = Qt.createComponent("AboutDialog.qml");
                        var dialog = dialogComponent.createObject(page);
                        dialog.open();
                    }
                    break;
                case "logout":
                    rootWindow.signOut();
                    break;
                default:
                    console.log("wrong item name", modelData.name);
                    break
                }
            }
        }

        model: [
            {
                text: qsTr("Add Friends"),
                name: "addfriends",
                icon: "qrc:///images/ic_more_addfriend.png"
            },
            {
                text: qsTr("Friend Request"),
                name: "request",
                icon: "qrc:///images/ic_more_request.png"
            },
            {
                text: qsTr("Sync Setting"),
                name: "syncsetting",
                icon: "qrc:///images/ic_more_sync.png"
            },
            {
                text: qsTr("Change City"),
                name: "changecity",
                icon: "qrc:///images/ic_more_changecity.png"
            },
//            {
//                text: qsTr("Check Update"),
//                name: "checkupdate",
//                icon: "qrc:///images/ic_more_checkupdate.png"
//            },
            {
                text: qsTr("About Jiepang"),
                name: "about",
                icon: "qrc:///images/ic_more_about.png"
            },
            {
                text: qsTr("Logout"),
                name: "logout",
                icon: "qrc:///images/ic_more_logout.png"
            }
        ]
    }
}
