import QtQuick 1.0
import "../Common" as Common
import "../Common/Network.js" as Network


Common.Page {
    id: page
    Common.List {
        id: list
        requestUrl: "/notifications/list"
        requestParams : {"types": "user,location", "apiver": "2"}
        initialCount: 20
        moreCount: 10
        canGetMore: true
        usePages: true

        anchors.fill: parent
        delegate: Common.ListItem {
            id: listItem
            content: Common.NotificationItem {
                itemData: model.data;
                createdOn: model.created_on
                link: model.link;
            }
            onClicked: {
                var type = model.link.type;
                if (type === "status") {
                    console.debug("type: %1".arg(type))
                    var newPage = rootWindow.pushPage(Qt.resolvedUrl("FeedDetailPage.qml")
                                                 , {"userId": rootWindow.user.userId
                                                 , "postId": model.link.value})
                    newPage.Component.destruction.connect(function() {
                                                              list.model.remove(index)
                                                              console.debug("closed!")
                                                          })
                    newPage.refreshFeedInfo();
                } else {
                    console.debug("unhandled type: %1".arg(type));
                }
            }
        }

        function parseResult(result, model) {
            canGetMore = result.has_more;
            for (var i = 0; i < result.items.length; i++) {
                var obj = result.items[i];
                var str = ""
                for(var j=0; j < obj.data.length; j++) {
                    str += obj.data[j].text;
                }
                console.debug(obj.id, str, obj.created_on)
                model.append(obj)
            }
        }
    }
}
