import QtQuick 1.0
import Qt.labs.components.native 1.0
import "../Common" as Common

Common.Page {
    id: page
    property variant guid

    title: qsTr("Plan to visit")

    TextArea {
        id: textArea
        anchors.top: parent.top
        anchors.bottom: button.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.margins: 10

        placeholderText: qsTr("Mark this place and discover it later on! Also invite some friends?")
    }

    Common.Button {
        id: button
        anchors {
            bottom: syncsList.top
            left: parent.left
            right: parent.right
            margins: 10
        }
        text: qsTr("Plan to visit")

        onClicked: {
            var status = textArea.text.replace('&', '%26');
            var syncsString = syncsList.getString();
            var url = "/lbs/schedule.json";
            var args = {"guid": page.guid, "status": status, "syncs": syncsString}
            var onReply = function(code, obj) {
                var dialog = rootWindow.showDialog(qsTr("Success"), qsTr("Visit plan posted"));
                dialog.accepted.connect(function() {
                    pageStack.pop();
                    pageStack.currentPage.refresh();
                    rootWindow.refreshFeeds();
                });
            }
            rootWindow.request(url, args, undefined, undefined, onReply);
        }
    }

    Common.SyncsCheckBoxes {
        id: syncsList
        anchors {
            bottom: parent.bottom
            left: parent.left
            right: parent.right
            margins: 10
        }
        color: "#ebebeb"
        model: rootWindow.user.syncsSetting
    }
}
