import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {
    id: page
    scrollable: true
    title: qsTr("Shout")

    TextArea {
        id: textArea
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            margins: 10
        }
        height: Math.max(200, implicitHeight)
        placeholderText: qsTr("I have something to say")
    }

    Common.Button {
        id: button
        anchors {
            top: textArea.bottom
            left: parent.left
            right: parent.right
            margins: 10
        }
        text: qsTr("Shout")

        onClicked: {
            var message = qsTr("Uploading...");
            var url = "/statuses/shot.json";
            var status = textArea.text.replace('&', '%26');
            var syncsString = syncsList.getString();
            var args = {"status": status, "syncs": syncsString}
            var onReply = function(code, obj) {
                pageStack.pop()
                pageStack.currentPage.refresh()
            }
            rootWindow.request(url, args, message, undefined, onReply);
        }
    }

    Common.SyncsCheckBoxes {
        id: syncsList
        anchors {
            top: button.bottom
            left: parent.left
            right: parent.right
            margins: 10
        }
        color: "#ebebeb"
        model: rootWindow.user.syncsSetting
    }
}
