import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {
    id: page
    property variant userId
    property string userNick
    property variant maxCount

    Common.List {
        anchors.fill: parent
        // XXX: we should use the 'has_more' attribute instead!
        maxCount: page.maxCount

        requestUrl: "/users/photos.json"
        requestParams: {"id": userId}
        initialCount: 5
        moreCount: 5
        usePages: true

        headerText: qsTr("%1's gallery").arg(page.userNick)

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                postId: model.id
                type: model.type
                user: model.user_nick
                userId: model.user_id
                location: model.location.name
                locationId: model.location.guid
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                largePhoto: true
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.num_comments
                date: model.created_on
                showUser: false
            }

            onClicked: {
                item.show();
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.items.length; i++) {
                var item = result.items[i];
                item.user_nick = page.userNick;
                model.append(item);
            }
        }


    }
}
