import QtQuick 1.0
import Qt.labs.components.native 1.0

import "../Common" as Common

Common.Page {
    id: page
    property variant userId
    property string userNick
    property variant maxCount

    Common.List {
        anchors.fill: parent
        maxCount: page.maxCount
        requestUrl: "/statuses/list.json"
        requestParams: {"id": userId, "type": "tip", "count": 10}

        headerText: qsTr("%1 Tips").arg(page.userNick)

        delegate: Common.ListItem {
            content: Common.Item {
                id: item
                postId: model.id
                user: model.user_nick
                userId: model.user_id
                type: model.type
                location: model.location.name
                locationId: model.location.guid
                body: model.body
                photo: (model.photo)? model.photo.url : undefined
                numLikes: model.num_likes
                isLike: model.is_like
                commentCount: model.num_comments
                date: model.created_on
                // source: model.source.name
                showUser: false
            }

            onClicked: {
                item.show();
            }
        }

        function parseResult(result, model) {
            for (var i = 0; i < result.items.length; i++) {
                var item = result.items[i];
                item.user_nick = page.userNick;
                model.append(item);
            }
        }


    }
}
