import QtQuick 1.0
import QtWebKit 1.0

import "../Common" as Common

Common.Page {
    id: page

    property url url
    property Item loadingDialog

    Flickable {

        id: flickable
        anchors.fill: parent

        contentWidth: Math.max(parent.width, webView.width)
        contentHeight: Math.max(parent.height, webView.height)

        WebView {
            id: webView
            url: page.url
            newWindowParent: flickable

            smooth: false
            focus: true
            preferredWidth: flickable.width
            preferredHeight: flickable.height
            contentsScale: 1

            onLoadStarted: {
                loadingDialog = rootWindow.showWaitDialog(qsTr("Loading"));
            }

            onLoadFinished: {
                if (loadingDialog) {
                    loadingDialog.close();
                    loadingDialog = null;
                }
            }

            onUrlChanged: {
                flickable.contentX = 0;
                flickable.contentY = 0;
            }

            onAlert: {
                console.log("TEST", message);
            }
        }

    }
}
